/*
 * Class WEL_PEN
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_719 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_719 [] = {0xFF01,1551,718,0xFFFF};
static const EIF_TYPE_INDEX egt_2_719 [] = {0xFF01,718,0xFFFF};
static const EIF_TYPE_INDEX egt_3_719 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_719 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_719 [] = {0xFF01,718,0xFFFF};
static const EIF_TYPE_INDEX egt_6_719 [] = {0xFF01,718,0xFFFF};
static const EIF_TYPE_INDEX egt_7_719 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_719 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_719 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_719 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_719 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_719 [] = {0xFF01,718,0xFFFF};
static const EIF_TYPE_INDEX egt_13_719 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_719 [] = {0xFF01,1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_719 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_719 [] = {0xFF01,1300,0xFFFF};
static const EIF_TYPE_INDEX egt_17_719 [] = {0xFF01,787,0xFFFF};


static const struct desc_info desc_719[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_719), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_719), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_719), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_719), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_719), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_719), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_719), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_719), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_719), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_719), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_719), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_719), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x059D /*718*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_719), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 16},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12898, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12899, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12900, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12901, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12904, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12906, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12907, 12},
	{EIF_GENERIC(egt_13_719), 12908, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_719), 12897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17275, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17279, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_719), 17280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17367, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17368, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17371, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_719), 17361, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_719), 17362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17365, 0xFFFFFFFF},
};
void Init719(void)
{
	IDSC(desc_719, 0, 718);
	IDSC(desc_719 + 1, 1, 718);
	IDSC(desc_719 + 32, 791, 718);
	IDSC(desc_719 + 34, 1503, 718);
	IDSC(desc_719 + 37, 1359, 718);
	IDSC(desc_719 + 47, 529, 718);
	IDSC(desc_719 + 62, 1369, 718);
	IDSC(desc_719 + 69, 1023, 718);
	IDSC(desc_719 + 88, 1131, 718);
}


#ifdef __cplusplus
}
#endif
